# DO NOT DELETE: Beginning of Haskell dependencies
libraries/ghc-boot-th/dist-install/build/GHC/ForeignSrcLang/Type.o : libraries/ghc-boot-th/GHC/ForeignSrcLang/Type.hs
$(eval $(call hi-rule,libraries/ghc-boot-th/dist-install/build/GHC/ForeignSrcLang/Type.hi  : %hi: %o  libraries/ghc-boot-th/GHC/ForeignSrcLang/Type.hs))
libraries/ghc-boot-th/dist-install/build/GHC/ForeignSrcLang/Type.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-boot-th/dist-install/build/GHC/ForeignSrcLang/Type.o : libraries/base/dist-install/build/GHC/Generics.hi
libraries/ghc-boot-th/dist-install/build/GHC/LanguageExtensions/Type.o : libraries/ghc-boot-th/GHC/LanguageExtensions/Type.hs
$(eval $(call hi-rule,libraries/ghc-boot-th/dist-install/build/GHC/LanguageExtensions/Type.hi  : %hi: %o  libraries/ghc-boot-th/GHC/LanguageExtensions/Type.hs))
libraries/ghc-boot-th/dist-install/build/GHC/LanguageExtensions/Type.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-boot-th/dist-install/build/GHC/LanguageExtensions/Type.o : libraries/base/dist-install/build/GHC/Generics.hi
libraries/ghc-boot-th/dist-install/build/GHC/Lexeme.o : libraries/ghc-boot-th/GHC/Lexeme.hs
$(eval $(call hi-rule,libraries/ghc-boot-th/dist-install/build/GHC/Lexeme.hi  : %hi: %o  libraries/ghc-boot-th/GHC/Lexeme.hs))
libraries/ghc-boot-th/dist-install/build/GHC/Lexeme.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-boot-th/dist-install/build/GHC/Lexeme.o : libraries/base/dist-install/build/Data/Char.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/ghc-boot-th_dist-install_depfile_haskell_EXISTS = YES
